<!DOCTYPE html>
<html lang="{{ .Site.LanguageCode | default "fr" }}">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    {{ $.Scratch.Set "title" (cond (not $.Site.Data.website.title) (cond (not .Site.Title) "Titre manquant" .Site.Title) $.Site.Data.website.title) }}
    <title>{{ if .IsHome }}{{ $.Scratch.Get "title" }}{{ else }}{{ .Title }} – {{ $.Scratch.Get "title" }}{{ end }}</title>
    {{- with .Params.description | default .Params.description_short | default .Description | default .Summary -}}
    <meta name="description" content="{{ . }}" />
    {{- end -}}

    {{- with .Params.Author -}}
    <meta name="author" content="{{ . }}" />
    {{ end }}
    {{ hugo.Generator }}
    <meta name="robots" content="{{ .Site.Params.Robots }}">

    <link rel="canonical" href="{{ .Permalink }}">

    {{/* SEO - everything about metadata in the head */}}
    {{- partialCached "seo/main.html" . . }}

    {{"<!-- Favicons -->" | safeHTML }}
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png"/>
    <link rel='shortcut icon' type='image/x-icon' href='/favicon.ico'/>
    <link rel='icon' href='/favicon.svg'/>
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png"/>
    <link rel="mask-icon" href="/mask-icon.svg" color="#595E6A">
    <meta name="theme-color" content="#FFFFFF">
    <link rel="manifest" href="/manifest.json">

    {{/* Loop over all css of the base theme */}}
    {{- with resources.Match "**.css" -}}
      {{- range . -}}{{- if (in . "base/") -}}{{- $.Scratch.Add "base" (slice .) -}}{{- end -}}{{- end -}}
      {{- range . -}}{{- if (in . "debug/") -}}{{- $.Scratch.Add "debug" (slice .) -}}{{- end -}}{{- end -}}
    {{- end -}}

    {{/* Get styles and call all CSS files */}}
    {{"<!-- StyleSheets -->" | safeHTML }}
    {{- $css := (slice (resources.Get "/css/styles.css")) -}}
    {{/* Get styles from the good grid :: default is the 1 */}}
    {{- $grid := (slice (resources.Get "/css/grid/1.css")) -}}
    {{- with $.Site.Params.grid }}
      {{- $sheet := printf "/css/grid/%s.css" (string .) -}}
      {{- $grid = (slice (resources.Get $sheet)) -}}
    {{ end -}}

    {{/* Test if the website is serve on local computer or if the "HUGO_ENV" variables is "production" */}}
    {{- if and .Site.IsServer (not (eq (getenv "HUGO_ENV") "production" | or (eq .Site.Params.env "production"))) -}}
      {{ range (union (union (union ($.Scratch.Get "debug") ($.Scratch.Get "base")) $css) $grid )}}
    <link rel="stylesheet" href="{{ .Permalink }}?{{ sha1 (string now) }}">
      {{- end }}
    {{ else }}
      <style id="style-screen">
        {{ (($.Scratch.Get "base") | resources.Concat "base.css" | minify).Content | safeCSS }}
      </style>
      {{- $styles := $css | resources.Concat "styles.css" | minify | fingerprint -}}
      <link rel="preload" href="{{ $styles.Permalink }}" as="style">
      <link rel="stylesheet" href="{{ $styles.Permalink }}" integrity="{{ $styles.Data.Integrity }}">
      {{ range $grid }}
      <link rel="preload" href="{{ .Permalink }}" as="style">
      <link rel="stylesheet" href="{{ .Permalink }}">
      {{- end }}
    {{ end }}
    {{- if (fileExists "/static/assets/css") -}}
      <link rel="stylesheet" href="{{ .Site.BaseURL }}assets/css/styles.css?{{ sha1 (string now) }}">
    {{ end -}}

    <!-- Plausible Analytics -->
    <script defer data-domain="{{ replaceRE "^https?://([^/]+).*" "$1" .Site.BaseURL }}" src="https://plausible.plateaux.tech/js/plausible.js"></script>

  </head>
  <body {{ with .Params.bodyClass }}class="{{ . }}" {{ end }}x-data="{ isOpen: false, isSearchOpen: true, isMobile: true }" x-init="isOpen = window.innerWidth >= 1024; isMobile = window.innerWidth < 1024" @keydown.escape="isOpen = false" :class="{ 'overflow-y-hidden': (isOpen && isMobile) }" @resize.window="
    if (window.innerWidth >= 1024) { isOpen = true; isMobile = false } else { isMobile = true; if (isOpen) { isOpen = false } }">
    {{/* Is pages with a menu parameter */}}
    {{ $.Scratch.Set "isMenuMain" (partialCached "render/isMenuMain" . .) }}
    {{ $.Scratch.Set "isMenuRapid" (partialCached "render/isMenuRapid" . .) }}

    {{ partialCached "elements/icons.html" . . }}
    {{ partialCached "elements/header.html" . . }}
    <div class="{{ if ($.Scratch.Get "isMenuMain") }}grid-layout{{ end }} m-0 p-0 min-main-height">

      {{ partialCached "sidebar/sidebar-nav.html" . "sidebar" }}
      <div id="content-wrapper">
        {{- block "header" . }}{{- end }}
        <div id="wrapper" class="relative{{ if not (or .Params.image .Params.header) }} pt-2{{ end }}" data-kind="{{ .Kind }}">
          {{- block "aside" . }}{{- end }}
          <main id="main" class="max-w-">
            {{- if .Site.IsServer -}}{{- if not ($.Scratch.Get "isMenuMain") -}}
            <hr>
            <div class="grid-center pt-1 h1">
              <p>Le menu principal est inexistant</p>
            </div>
            <hr>
            {{- end -}}{{- end -}}
            {{- partialCached "search/search-results" . . -}}

            <div class="grid grid-content w-full pb-6 {{ if .Params.icon }}{{ if or (.Params.header) (.Params.image) }} pt-0 {{ else }} pt-3 {{ end }}{{ else }} pt-1{{ end }}print:mt-4">
            {{- block "main" . }}{{- end }}
            </div>
            {{ if .Site.IsServer }}{{ if not ($.Scratch.Get "isMenuMain") }}
            <hr>
            {{- with .Site.Sections -}}
              <h2>Pages déjà créées</h2>
              {{- range . -}}
                <h3>{{ .Section | humanize }}</h3>
                {{- with where $.Site.Pages "Section" .Section -}}
                <ul>
                  {{- range . -}}
                  <li><a href="{{ .Permalink }}">{{ trim .Title " " }}</a></li>
                  {{- end -}}
                </ul>
                {{- end -}}
              {{- end -}}
            {{- end -}}
            {{- end -}}
            {{- end -}}
          </main>
        </div>
      </div>
    </div>

  {{ partialCached "elements/footer.html" . "footer" }}
  {{ partialCached "debug/dev-parameters.html" . . }}

  <!-- Alpine.js -->
  <link rel="dns-prefetch" href="//jsdelivr.net/">
  <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>

  <!-- Splide & GLightbox -->
  {{- $splide := false -}}
  {{- $gLightbox := false -}}
  {{ $splideCss := "https://cdn.jsdelivr.net/npm/@splidejs/splide@4.0.7/dist/css/splide.min.css" }}
  {{ $splideCoreCss := "https://cdn.jsdelivr.net/npm/@splidejs/splide@4.0.7/dist/css/splide-core.min.css" }}
  {{- with .Params.blocks }}
    {{- range . -}}
      {{- if and (eq .template "gallery") .data -}}
        {{- if eq .data.layout "carousel" -}}
          {{- $splide = true -}}
          {{- $gLightbox = true -}}
        {{- end -}}
      {{- end -}}
      {{- if and (eq .template "testimonials") .data -}}
        {{- if gt (len .data.testimonials) 1 -}}
          {{- $splide = true -}}
        {{- end -}}
      {{- end -}}
    {{- end -}}
    {{- if $splide -}}
    <script src="https://cdn.jsdelivr.net/npm/@splidejs/splide@4.0.7/dist/js/splide.min.js" integrity="sha256-qtSu/7zFd1zx2GaGN7yAuWyIXuxC7IVrfSpncRDxUII=" crossorigin="anonymous" defer></script>
    <link rel="preload" href="{{ $splideCss }}" as="style">
    <link rel="preload" href="{{ $splideCoreCss }}" as="style">
    <link rel="stylesheet" href="{{ $splideCss }}" integrity="sha256-6YrKt7vMU9e4bwtlblASqhvvEt4/0JEQJ/zyWOFKnaM=" crossorigin="anonymous" media="print" onload="this.media='all'">
    <link rel="stylesheet" href="{{ $splideCoreCss }}" integrity="sha256-8gSXJwQPI1Qf6z9TkSJdI1CPinvymYP7xsXFKJC8vUs=" crossorigin="anonymous" media="print" onload="this.media='all'">
    <noscript>
      <link rel="stylesheet" href="{{ $splideCss }}" integrity="sha256-6YrKt7vMU9e4bwtlblASqhvvEt4/0JEQJ/zyWOFKnaM=" crossorigin="anonymous" media="screen">
      <link rel="stylesheet" href="{{ $splideCoreCss }}" integrity="sha256-8gSXJwQPI1Qf6z9TkSJdI1CPinvymYP7xsXFKJC8vUs=" crossorigin="anonymous" media="screen">
    </noscript>
    {{- end -}}
    {{- if $gLightbox -}}
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/glightbox/dist/css/glightbox.min.css" />
    <script src="https://cdn.jsdelivr.net/gh/mcstudios/glightbox/dist/js/glightbox.min.js"></script>
    {{- end -}}
  {{- end -}}
  {{- partialCached "js.html" . -}}
  {{- block "script" . }}{{- end }}

  </body>
</html>
